Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	power consumption profiling tool
Name:      	powertop
Version:   	1.98
Release:   	1
License: 	GNU/GPL
URL:		http://www.linuxpowertop.org/
Group:     	System/Utilities
Source0: 	http://www.kernel.org/pub/linux/status/powertop/%{name}-%{version}.tar.bz2
Patch0:		powertop-makefile.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: ncurses-devel

BuildRequires: libnl-devel
BuildRequires: pciutils-devel
BuildRequires: zlib-devel

%description
PowerTOP is a Linux tool that finds the software component(s) that make your laptop use more power than necessary while it is idle. As of Linux kernel version 2.6.21, the kernel no longer has a fixed 1000Hz timer tick. This will (in theory) give a huge power savings because the CPU stays in low power mode for longer periods of time during system idle. 
However... there are many things that can ruin the party, both inside the kernel and in userspace. PowerTOP combines various sources of information from the kernel into one convenient screen so that you can see how well your system is doing, and which components are the biggest problem.

%prep
%setup -n %{name}-%{version} -q
%patch0 -p1

%build
LDFLAGS="$LDFLAGS -l/usr/lib/ncursesw" make

%install
rm -rf "$RPM_BUILD_ROOT"
make DESTDIR=$RPM_BUILD_ROOT install
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/powertop
#%{_locale}/*/LC_MESSAGES/powertop.mo
#%{_mandir}/man8/powertop.8.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jun 18 2011 Karsten Brockmann <arcam@ccux-linux.de> 1.98-1
- Version update
* Tue Aug 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.13-1
- Version update
* Wed Sep 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.11-1
- Version update
* Fri Jul 04 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.10-1
- Version update
* Fri Nov 02 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.9-1
- Version update
* Thu Aug 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.8-1
- Version update
* Sat Jun 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.7-1
- Version update
* Mon Jun 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.6-1
- Version update
* Mon May 28 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.5-1
- Version update
* Sun May 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.4-1
- Version update
* Tue May 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2-1
- Initial Release
